---
title: 'str:tokenize()'
slug: Web/EXSLT/str/tokenize
tags:
  - EXSLT
  - NeedsSpecTable
  - Reference
---
<p>{{XSLTRef}}{{QuickLinksWithSubpages("/en-US/docs/Web/EXSLT")}}</p>

<p><code>str:tokenize()</code> splits a string using a set of characters as delimiters that determine where the splits should occur, returning a node-set containing the resulting strings.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">str:tokenize(<var>string</var>, <var>delimiters</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
	<dt><code>string</code></dt>
	<dd>The string to tokenize.</dd>
	<dt><code>delimiters</code></dt>
	<dd>Each character in this string is used as a word separator while tokenizing.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>A node-set of <code>token</code> elements, each containing one token from the <code>string</code>.</p>

<h2 id="Example">Example:</h2>

<pre class="brush: js; no-line-numbers">str:tokenize('2007-09-14-03T11:40:23', '-T:')</pre>

<p>Returns a node set like this:</p>

<pre class="brush: xml; no-line-numbers">&lt;token&gt;2007&lt;/token&gt;
&lt;token&gt;09&lt;/token&gt;
&lt;token&gt;14&lt;/token&gt;
&lt;token&gt;11&lt;/token&gt;
&lt;token&gt;40&lt;/token&gt;
&lt;token&gt;23&lt;/token&gt;</pre>

<h2 id="Specifications">Specifications</h2>

<p><a class="external" href="http://www.exslt.org/str/functions/tokenize/index.html">EXSLT - STR:TOKENIZE</a></p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("xslt.exslt.str.tokenize")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li><code><a href="/en-US/docs/Web/EXSLT/str/split">str:split()</a></code></li>
</ul>
